# exs.m4
#
# EXS configure.ac macros

# EXS_BAD_ARGUMENT([flag], [argument])
# ------------------------------------
# Halt the configure script if a bad argument is detected
AC_DEFUN([EXS_BAD_ARGUMENT],
[AS_CASE([$enable_option_checking],
	 [fatal], [AC_MSG_ERROR([invalid value $2 for $1])],
	 [no], [], [AC_MSG_WARN([invalid value $2 for $1; ignoring])])
])# EXS_BAD_ARGUMENT

# EXS_FUNC_CPU_ALLOC([action-if-found], [action-if-not-found])
# ------------------------------------------------------------
# Define HAVE_CPU_ALLOC to 1 if the CPU_ALLOC macro is defined
AC_DEFUN([EXS_FUNC_CPU_ALLOC],
[# Check for variable size CPU sets
AC_CACHE_CHECK([for variable size CPU sets], [exs_cv_func_CPU_ALLOC],
[AC_LINK_IFELSE([AC_LANG_PROGRAM([[#define _GNU_SOURCE
#include <sched.h>
cpu_set_t *cpus;]],
				[[cpus = CPU_ALLOC(1025); CPU_FREE(cpus);]])],
	[exs_cv_func_CPU_ALLOC=yes],
	[exs_cv_func_CPU_ALLOC=no])])
AS_IF([test x$exs_cv_func_CPU_ALLOC = xyes],
      [AC_DEFINE([HAVE_CPU_ALLOC], 1, [Define to 1 if CPU_ALLOC macro is defined])
      m4_ifval([$1], [$1],)
      ],
      [m4_ifval([$2], [$2],)])
])# EXS_FUNC_CPU_ALLOC
